"use strict";
/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCylinders = void 0;
var tslib_1 = require("tslib");
var render_object_1 = require("../render-object");
var scene_1 = require("../scene");
var gl_1 = require("./gl");
var debug_1 = require("../../mol-util/debug");
var names_1 = require("../../mol-util/color/names");
var param_definition_1 = require("../../mol-util/param-definition");
var cylinders_1 = require("../../mol-geo/geometry/cylinders/cylinders");
function createCylinders() {
    var cylinders = cylinders_1.Cylinders.createEmpty();
    var props = param_definition_1.ParamDefinition.getDefaultValues(cylinders_1.Cylinders.Params);
    var values = cylinders_1.Cylinders.Utils.createValuesSimple(cylinders, props, names_1.ColorNames.orange, 1);
    var state = cylinders_1.Cylinders.Utils.createRenderableState(props);
    return (0, render_object_1.createRenderObject)('cylinders', values, state, -1);
}
exports.createCylinders = createCylinders;
describe('cylinders', function () {
    var ctx = (0, gl_1.tryGetGLContext)(32, 32, { fragDepth: true });
    (ctx ? it : it.skip)('basic', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var ctx, scene, cylinders;
        return tslib_1.__generator(this, function (_a) {
            ctx = (0, gl_1.getGLContext)(32, 32);
            scene = scene_1.Scene.create(ctx);
            cylinders = createCylinders();
            scene.add(cylinders);
            (0, debug_1.setDebugMode)(true);
            expect(function () { return scene.commit(); }).not.toThrow();
            (0, debug_1.setDebugMode)(false);
            ctx.destroy();
            return [2 /*return*/];
        });
    }); });
});
