"use strict";
/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createText = void 0;
var tslib_1 = require("tslib");
var render_object_1 = require("../render-object");
var scene_1 = require("../scene");
var gl_1 = require("./gl");
var debug_1 = require("../../mol-util/debug");
var names_1 = require("../../mol-util/color/names");
var param_definition_1 = require("../../mol-util/param-definition");
var text_1 = require("../../mol-geo/geometry/text/text");
function createText() {
    var text = text_1.Text.createEmpty();
    var props = param_definition_1.ParamDefinition.getDefaultValues(text_1.Text.Params);
    var values = text_1.Text.Utils.createValuesSimple(text, props, names_1.ColorNames.orange, 1);
    var state = text_1.Text.Utils.createRenderableState(props);
    return (0, render_object_1.createRenderObject)('text', values, state, -1);
}
exports.createText = createText;
describe('text', function () {
    var ctx = (0, gl_1.tryGetGLContext)(32, 32);
    (ctx ? it : it.skip)('basic', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var ctx, scene, text;
        return tslib_1.__generator(this, function (_a) {
            ctx = (0, gl_1.getGLContext)(32, 32);
            scene = scene_1.Scene.create(ctx);
            text = createText();
            scene.add(text);
            (0, debug_1.setDebugMode)(true);
            expect(function () { return scene.commit(); }).not.toThrow();
            (0, debug_1.setDebugMode)(false);
            ctx.destroy();
            return [2 /*return*/];
        });
    }); });
});
